Package org.eclipse.mat.ui.util

## Class EasyToolBarDropDown

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.mat.ui.util.EasyToolBarDropDown

All Implemented Interfaces:
  `IAction`, `IMenuCreator`

Direct Known Subclasses:
  `QueryDropDownMenuAction`, `RunReportsDropDownAction`

    public abstract class EasyToolBarDropDown
    extends Action
    implements IMenuCreator

Using this class one can create a tool bar button that drops down its menu also when the button itself was clicked (user don't have to aim at the small arrow next to it).

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`EasyToolBarDropDown​(java.lang.String text, ImageDescriptor image, AbstractEditorPane pane)`
`EasyToolBarDropDown​(java.lang.String text, ImageDescriptor image, MultiPaneEditor editor)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `contribute​(PopupMenu menu)`
`void` `dispose()`
`Menu` `getMenu​(Control parent)`
`Menu` `getMenu​(Menu parent)`
`void` `run()`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EasyToolBarDropDown

    public EasyToolBarDropDown​(java.lang.String text,
                               ImageDescriptor image,
                               AbstractEditorPane pane)

#### EasyToolBarDropDown

    public EasyToolBarDropDown​(java.lang.String text,
                               ImageDescriptor image,
                               MultiPaneEditor editor)

### Method Detail

#### run

    public final void run()

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`

#### contribute

    public abstract void contribute​(PopupMenu menu)

#### dispose

    public final void dispose()

Specified by:
  `dispose` in interface `IMenuCreator`

#### getMenu

    public final Menu getMenu​(Control parent)

Specified by:
  `getMenu` in interface `IMenuCreator`

#### getMenu

    public final Menu getMenu​(Menu parent)

Specified by:
  `getMenu` in interface `IMenuCreator`